gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r18740 - gnunet-planetlab/config_generator


From: gnunet
Subject: [GNUnet-SVN] r18740 - gnunet-planetlab/config_generator
Date: Wed, 21 Dec 2011 15:25:17 +0100

Author: pritpal
Date: 2011-12-21 15:25:16 +0100 (Wed, 21 Dec 2011)
New Revision: 18740

Added:
   gnunet-planetlab/config_generator/libmicrohttpd_dependencies.sh
Log:
script added

Added: gnunet-planetlab/config_generator/libmicrohttpd_dependencies.sh
===================================================================
--- gnunet-planetlab/config_generator/libmicrohttpd_dependencies.sh             
                (rev 0)
+++ gnunet-planetlab/config_generator/libmicrohttpd_dependencies.sh     
2011-12-21 14:25:16 UTC (rev 18740)
@@ -0,0 +1,97 @@
+echo "Installing libnettle"
+wget http://www.lysator.liu.se/~nisse/archive/nettle-2.4.tar.gz 1> /dev/null 
2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle download successful"
+else
+  echo " Libnettle download failed, exiting ..."
+  exit 1
+fi
+
+tar xvfz nettle-2.4.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle unpack successful"
+else
+  echo " Libnettle unpack failed, exiting ..."
+  exit 1
+fi
+
+cd nettle-2.4
+
+./configure --enable-shared 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle configure successful"
+else
+  echo " Libnettle configure failed, exiting ..."
+  exit 1
+fi
+
+make all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle make all successful"
+else
+  echo " Libnettle make all failed, exiting ..."
+  exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle sudo make install successful"
+else
+  echo " Libnettle sudo make install failed, exiting ..."
+  exit 1
+fi
+
+
+
+echo "Installing gnutls"
+wget ftp://ftp.gnupg.org/gcrypt/gnutls/gnutls-2.12.9.tar.bz2 1> /dev/null 2> 
/dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls download successful"
+else
+  echo " gnutls download failed, exiting ..."
+  exit 1
+fi
+
+tar -xjvf gnutls-2.12.9.tar.bz2 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls download successful"
+else
+  echo " gnutls download failed, exiting ..."
+  exit 1
+fi
+
+cd gnutls-2.12.9
+
+./configure --without-p11-kit   1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls configure successful"
+else
+  echo " gnutls configure failed, exiting ..."
+  exit 1
+fi
+
+make all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls make all successful"
+else
+  echo " gnutls make all failed, exiting ..."
+  exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls sudo make install successful"
+else
+  echo " gnutls sudo make install failed, exiting ..."
+  exit 1
+fi




reply via email to

[Prev in Thread] Current Thread [Next in Thread]